{% extends 'layout.html.twig' %}

{% block title %}Liste des membres exemptés de bénévolat - {{ site_name }}{% endblock %}

{% block breadcrumbs %}
<a href="{{ path('homepage') }}"><i class="material-icons">home</i></a><i class="material-icons">chevron_right</i>
<a href="{{ path('admin') }}"><i class="material-icons">build</i>&nbsp;Administration</a><i class="material-icons">chevron_right</i>
<i class="material-icons">list</i>&nbsp;Liste des membres exemptés de bénévolat
{% endblock %}

{% block content %}
    <h4>Liste des membres exemptés de bénévolat ({{ result_count }})</h4>

    {# Filter form  --------- #}
    <ul class="collapsible">
        <li>
            <div class="collapsible-header">
                <i class="material-icons">tune</i>Filtres
            </div>
            <div class="collapsible-body">
                {{ form_start(filter_form) }}
                <div class="row">
                    <div class="col s4">
                        <div class="input-field">
                            {{ form_widget(filter_form.membership) }}
                            {{ form_label(filter_form.membership) }}
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="input-field">
                            {{ form_widget(filter_form.shiftExemption) }}
                            {{ form_label(filter_form.shiftExemption) }}
                        </div>
                    </div>
                </div>
                {{ form_widget(filter_form.submit) }}
                {{ form_end(filter_form) }}
            </div>
        </li>
    </ul>

    <table class="responsive-table">
        <thead>
            <tr>
                <th>Etat</th>
                <th>Membre</th>
                <th>Motif</th>
                <th>Description</th>
                <th>Début</th>
                <th>Fin</th>
                <th>Auteur</th>
                <th>Date de création</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for membershipShiftExemption in membershipShiftExemptions %}
            <tr class="{% if membershipShiftExemption.isPast() %}grey lighten-2{% elseif membershipShiftExemption.isCurrent() %}exempted{% endif %}">
                <td>
                    {% if membershipShiftExemption.isPast() %}
                        <i class="material-icons" title="Passé">close</i>
                    {% endif %}
                    {% if membershipShiftExemption.isCurrent() %}
                        <i class="material-icons" title="En cours">{{ member_exempted_material_icon }}</i>
                    {% endif %}
                    {% if membershipShiftExemption.isUpcoming() %}
                        <i class="material-icons" title="À venir">schedule</i>
                    {% endif %}
                </td>
                <td>
                    <a href="{{ path("member_show", { 'member_number': membershipShiftExemption.membership.memberNumber }) }}">
                        {{ membershipShiftExemption.membership.memberNumberWithBeneficiaryListString }}
                    </a>
                </td>
                <td>{{ membershipShiftExemption.shiftExemption }}</td>
                <td>{{ membershipShiftExemption.description }}</td>
                <td>
                    {% if membershipShiftExemption.start %}
                        {{ membershipShiftExemption.start | date_short }}
                    {% endif %}
                </td>
                <td>
                    {% if membershipShiftExemption.end %}
                        {{ membershipShiftExemption.end | date_short }}
                    {% endif %}
                </td>
                <td>
                    {% include "admin/member/_partial/member_or_user_link.html.twig" with { user: membershipShiftExemption.createdBy, target_blank: true } %}
                </td>
                <td title="{{ membershipShiftExemption.createdAt | date_time }}">
                    {{ membershipShiftExemption.createdAt | date_short }}
                </td>
                <td>
                    <a href="{{ path('admin_membershipshiftexemption_edit', { 'id': membershipShiftExemption.id }) }}">
                        <i class="material-icons">edit</i>Editer
                    </a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul class="pagination">
        <li class="{% if(current_page==1) %}disabled{% else %}waves-effect{% endif %}">
            <a href="{% if(current_page==1) %}#!{% else %}{{ path("admin_membershipshiftexemption_index", {'page':current_page-1}) }}{% endif %}" data-page="{{ current_page-1 }}">
                <i class="material-icons">chevron_left</i>
            </a>
        </li>
        {% for i in range(1, page_count) %}
            <li class="{% if(current_page==i) %}active{% else %}waves-effect{% endif %}">
                <a href="#" data-page="{{ i }}">{{ i }}</a>
            </li>
        {% endfor %}
        <li class="{% if(current_page==page_count) %}disabled{% else %}waves-effect{% endif %}">
            <a href="{% if(current_page==page_count) %}#!{% else %}{{ path("admin_membershipshiftexemption_index", {'page':current_page+1}) }}{% endif %}" data-page="{{ current_page+1 }}">
                <i class="material-icons">chevron_right</i>
            </a>
        </li>
    </ul>

    <ul>
        <li>
            <a href="{{ path('admin_membershipshiftexemption_new') }}" class="btn">
                <i class="material-icons left">add</i>Ajouter une exemption
            </a>
        </li>
    </ul>
{% endblock %}

{% block javascripts %}
<script>
    jQuery(function() {
        $('.pagination li:not(.disabled) a').click(function(e) {
            e.preventDefault();
            $('#form_page').val($(this).data('page'));
            $('form[name=form]').submit();
        });
    });
</script>
{% endblock %}
